Name:          liba52dec
Version:       0.8.0
Release:       1mamba
Summary:       A library for decoding ATSC A/52 (aka AC-3) audio streams
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://liba52.sourceforge.io/
Source:        https://git.adelielinux.org/community/a52dec.git/v%{version}/a52dec-%{version}.tar.bz2
#Source:        http://liba52.sf.net/files/a52dec-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
liba52 is a free library for decoding ATSC A/52 streams released under the terms of the GPL license.
The A/52 standard is used in a variety of applications, including digital television and DVD. It is also known as AC-3.

%package tools
Summary:       Tools provided with %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      a52dec

%description tools
liba52 is a free library for decoding ATSC A/52 streams released under the terms of the GPL license.
The A/52 standard is used in a variety of applications, including digital television and DVD. It is also known as AC-3.
These are the tools provided with %{name}.

%package devel
Summary:       Development header files and static library for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     a52dec-devel < 0.8.0

%description devel
liba52 is a free library for decoding ATSC A/52 streams released under the terms of the GPL license.
The A/52 standard is used in a variety of applications, including digital television and DVD. It is also known as AC-3.
These are the header files and static libraries from %{name} that are needed to build programs that use it.

%debug_package

%prep
%setup -q -n a52dec-%{version}
#sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," autotools/config.sub
./bootstrap

%build
%configure --enable-shared

%make CFLAGS="%{optflags} -fpic -fPIC"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/liba52.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-, root, root)
%dir %{_includedir}/a52dec
%{_includedir}/a52dec/*
%{_libdir}/liba52.a
%{_libdir}/liba52.so
%{_libdir}/pkgconfig/liba52.pc
%doc ChangeLog HISTORY NEWS README TODO doc/liba52.txt

%files tools
%defattr(-, root, root)
%{_bindir}/a52dec
%{_bindir}/extract_a52
%{_mandir}/man1/*

%changelog
* Fri Dec 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0-1mamba
- update to 0.8.0

* Fri Dec 04 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.4-6mamba
- fix extra obsolete for a52dec

* Thu Dec 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.4-5mamba
- rebuilt with debug packge and aarch64 build fix

* Tue May 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.4-4mamba
- specfile updated
- updated maintainer

* Wed Feb 15 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.7.4-3qilnx
- build libraries in PIC mode

* Sat Oct 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.7.4-2qilnx
- specfile modified to match QiLinux standards
- library name modified (was a52dec)

* Fri Sep 10 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.7.4-1qilnx
- first build
